nested_by_fwd.hpp File Reference

Forward declares `boost::hana::detail::nested_by`. More...

## Classes

struct | boost::hana::detail::nested_by< Algorithm >
| Provides a `.by` static constexpr function object. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Detailed Description

Forward declares `boost::hana::detail::nested_by`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)